Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 154730 - Add ability to exclude particular columns from the data view
Add ability to exclude particular columns from the data view
Status: VERIFIED FIXED
Product: db
Classification: Unclassified
Component: Show Data
6.x
All All
: P3 (vote)
: TBD
Assigned To: _ ahimanikya
issues@db
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-05 13:20 UTC by Roman Mostyka
Modified: 2009-02-19 20:38 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Mostyka 2008-12-05 13:20:40 UTC
When user rightclick some table and choose "View Data", all data from this table will be shown.
But it will be better if after this user has ability somehow to exclude columns from the resultset. For example user can
invoke some dialog, where all columns are shown and there is checkbox against each columns, so user can uncheck
checkboxes for not necessary columns and they won't be shown.
Comment 1 Rob Englander 2008-12-05 14:27:22 UTC
Roman, this feature already exists in the explorer.  If you expand the table to show the columns, you can
use multi select to highlight multiple columns.  Then just right click and choose View Data.
Comment 2 Roman Mostyka 2008-12-05 16:11:25 UTC
Rob, I've built IDE from fresh sources, but when I use multi select to highlight multiple columns and then rightclick, I
see that "View Data" item for multiple selection is disabled.
Is there something that wasn't commited or I did something wrong?
Comment 3 Rob Englander 2008-12-05 16:40:37 UTC
Roman, did you also select the table?  That won't work.  Just select 1 or more columns, and then right click over any
one of the selected columns.
Comment 4 Roman Mostyka 2008-12-07 01:39:19 UTC
Sorry Rob, I selected several tables instead columns. I should work less. :)
Now I see that this functionality works.
Thanks for the prompt.
Fixed.
Comment 5 Roman Mostyka 2008-12-07 01:39:38 UTC
Verified with build 081207.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo